QuipteamsREST API

Add devices to inventory

Devices: Add devices to your company's inventory (holding assets). Once added, you can create device actions using the serial number via POST /api/v1/device-actions.

Endpoint7 params

Parameters

NameTypeDescription
serial_numberstring
Unique serial number for the device
device_typestring
Device type (e.g. "Laptop", "Monitor", "Keyboard")
countrystring
Country where the device is located
descriptionstring
Device description / model info (e.g. "MacBook Pro 14" M3 Pro")
employeestring
Name of the employee who has the device. If null, device is in storage.
conditionstring
Device condition (e.g. "Good", "Fair", "New")
costnumber
Device cost
javascript
const response = await fetch(`https://api.quipteams.com/api/v1/devices`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer YOUR_API_KEY',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
    "serial_number": "EXT-SN-12345",
    "device_type": "Laptop",
    "country": "Germany",
    "description": "ThinkPad X1 Carbon Gen 11",
    "employee": "Hans Mueller",
    "condition": "Good",
    "cost": 1200
  }),
});

const { data } = await response.json();
console.log(data);

Example Request Body

json
{
  "serial_number": "EXT-SN-12345",
  "device_type": "Laptop",
  "country": "Germany",
  "description": "ThinkPad X1 Carbon Gen 11",
  "employee": "Hans Mueller",
  "condition": "Good",
  "cost": 1200
}

Response

json
{
  "data": {
    "id": "asset-uuid-new",
    "serial_number": "EXT-SN-12345",
    "company": "Acme Corp",
    "country": "Germany",
    "device_type": "Laptop",
    "description": "ThinkPad X1 Carbon Gen 11",
    "employee": "Hans Mueller",
    "condition": "Good",
    "cost": 1200,
    "quantity": 1,
    "completion_date": null,
    "created_at": "2026-03-07T10:00:00.000Z",
    "updated_at": "2026-03-07T10:00:00.000Z"
  }
}